<?php
$host = "localhost";
$dbname = "majd1999_Menus";
$user = "majd1999_Menus";
$pass = "%#2rre6aK#C3Sg";

try {

    // إنشاء اتصال PDO
    $pdo = new PDO(
        "mysql:host=$host;dbname=$dbname;charset=utf8mb4",
        $user,
        $pass,
        [
            PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
            PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC
        ]
    );

    // ضبط التوقيت على بغداد لـ PHP
    date_default_timezone_set("Asia/Baghdad");

    // ضبط توقيت MySQL (جلسة السيشن فقط)
    $pdo->exec("SET time_zone = '+03:00'");
    $pdo->exec("SET @@session.time_zone = '+03:00'");

} catch (PDOException $e) {
    die("DB ERROR: " . $e->getMessage());
}
